/*
  AMS-random Library
  part of Arduino Mega Server project
  
  version 0.17
  2016, Hi-Lab.ru
  
  License: Free, without any warranties
  Home:    http://hi-lab.ru/arduino-mega-server (russian)
           http://hi-lab.ru/english/arduino-mega-server (english)
  Email:   info@hi-lab.ru
  
  IDE: Arduino 1.6.5 r2
*/

#ifndef AMS_random_h
#define AMS_random_h

#include "Arduino.h"

extern byte maxAnalogPorts;
extern byte maxDigitalPorts;

// id code chars
#define MAX_CODE 34
byte const idCode[] = {'0','1','2','3','4','5','6','7','8','9',
               'a','b','c','d','e','f','g','h','i','j','k','m',
               'n','p','q','r','s','t','u','v','w','x','y','z'};
// static const unsigned char idCode[] PROGMEM = {

#define MAX_ID_DIGS 15
extern byte buffId[MAX_ID_DIGS];

int getSeed();
long getMagic();
void setRandom();
void generateId();
bool validIdChar(byte b);
String stringId();
void printId(String prefix, String suffix);

#endif // #ifndef AMS_random_h
